Skip to main content
GET
/
api
/
agent
/
twins
/
{slug}
Resolve a public twin widget by its web-access slug
curl --request GET \
  --url https://pria.praxislxp.com/api/agent/twins/{slug}
import requests

url = "https://pria.praxislxp.com/api/agent/twins/{slug}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://pria.praxislxp.com/api/agent/twins/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "publicId": "1eb68828-892d-4248-a6c9-a6c3ad2f4f8a",
  "name": "AI for Good",
  "ainame": "Nova",
  "about": "Hi, I'm Nova...",
  "picture": "https://pria.praxislxp.com/uploads/.../img1.png",
  "picture_bg": "https://pria.praxislxp.com/pria_bg2.webp",
  "picture_dark_bg": "https://pria.praxislxp.com/pria-bg-silver.png",
  "picture_animated": "",
  "css": null,
  "theme": null
}
{
"success": false,
"message": "<string>",
"error": "<string>"
}

Path Parameters

slug
string
required

The institution's configured web-access slug (e.g. "nova").

Response

Twin resolved successfully

publicId
string
name
string
ainame
string
about
string
picture
string
picture_bg
string
picture_dark_bg
string
picture_animated
string
css
string | null
theme
string | null